# Get async refresh status

Returns the current status of an asynchronous background operation. Records expire after 10 minutes.

Endpoint: GET /api/v1/async_refreshes/{id}
Version: 1.0
Security: header

## Path parameters:

  - `id` (string, required)
    Async refresh ID
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier for this async refresh
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `category` (string, required)
    Category of the async operation
    Enum: "HOME_FEED_REGENERATION", "FASP_SEARCH"

  - `status` (string, required)
    Current status of the operation
    Enum: "PENDING", "IN_PROGRESS", "COMPLETED", "FAILED"

  - `createdAt` (string, required)
    When the operation was created
    Example: "2022-03-10T16:15:50Z"

  - `updatedAt` (string, required)
    When the operation status was last updated
    Example: "2022-03-10T16:15:50Z"

  - `completedAt` (string,null)
    When the operation completed (null if not yet completed)
    Example: "2022-03-10T16:15:50Z"

  - `error` (string,null)
    Error message if the operation failed

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


